---
title: ':fullscreen'
slug: 'Web/CSS/:fullscreen'
tags:
  - CSS
  - Full-screen
  - Full-screen API
  - Fullscreen API
  - Pseudo-class
  - Reference
  - Selector
  - fullscreen
  - screen
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>:fullscreen</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches every element which is currently in full-screen mode. If multiple elements have been put into full-screen mode, this selects them all.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>:fullscreen</code> pseudo-class lets you configure your stylesheets to automatically adjust the size, style, or layout of content when elements switch back and forth between full-screen and traditional presentations.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, the color of a button is changed depending on whether or not the document is in full-screen mode. This is done without needing to specifically apply style changes using JavaScript.</p>

<h3 id="HTML">HTML</h3>

<p>The page's HTML looks like this:</p>

<pre class="brush: html notranslate">&lt;h1&gt;MDN Web Docs Demo: :fullscreen pseudo-class&lt;/h1&gt;

&lt;p&gt;This demo uses the &lt;code&gt;:fullscreen&lt;/code&gt; pseudo-class to automatically
  change the style of a button used to toggle full-screen mode on and off,
  entirely using CSS.&lt;/p&gt;

&lt;button id="fs-toggle"&gt;Toggle Fullscreen&lt;/button&gt;</pre>

<p>The {{HTMLElement("button")}} with the ID <code>"fs-toggle"</code> will change between pale red and pale green depending on whether or not the document is in full-screen mode.</p>

<h3 id="CSS">CSS</h3>

<p>The magic happens in the CSS. There are two rules here. The first establishes the background color of the "Toggle Full-screen Mode" button when the element is not in a full-screen state. The key is the use of the <code>:not(:fullscreen)</code>, which looks for the element to not have the <code>:fullscreen</code> pseudo-class applied to it.</p>

<pre class="brush: css notranslate">#fs-toggle:not(:fullscreen) {
  background-color: #afa;
}
</pre>

<p>When the document <em>is</em> in full-screen mode, the following CSS applies instead, setting the background color to a pale shade of red.</p>

<pre class="brush: css notranslate">#fs-toggle:fullscreen {
  background-color: #faa;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Fullscreen', '#:fullscreen-pseudo-class', ':fullscreen')}}</td>
   <td>{{Spec2('Fullscreen')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.fullscreen")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API </a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{cssxref(":not")}}</li>
 <li>{{cssxref("::backdrop")}}</li>
 <li>DOM API: {{ domxref("Element.requestFullscreen()") }}, {{ domxref("Document.exitFullscreen()") }}, {{ domxref("Document.fullscreenElement") }}</li>
 <li>{{HTMLAttrXRef("allowfullscreen", "iframe")}} attribute</li>
</ul>
